var page_pipewire =
[
    [ "Design", "page_design.html", [
      [ "Internals", "page_pipewire.html#autotoc_md29", null ],
      [ "Components", "page_pipewire.html#autotoc_md30", null ],
      [ "Backends", "page_pipewire.html#autotoc_md31", [
        [ "Protocol", "page_design.html#autotoc_md32", null ],
        [ "Extensibility", "page_design.html#autotoc_md33", null ]
      ] ]
    ] ],
    [ "PipeWire Audio", "page_audio.html", [
      [ "Use cases", "page_audio.html#autotoc_md115", [
        [ "Audio devices are made available as processing nodes/ports", "page_audio.html#autotoc_md116", [
          [ "Audio devices can be plugged and unplugged", "page_audio.html#autotoc_md117", null ],
          [ "Audio port in canonical format", "page_audio.html#autotoc_md118", null ],
          [ "Applications can connect to audio devices", "page_audio.html#autotoc_md119", null ],
          [ "Default audio sink and sources", "page_audio.html#autotoc_md120", null ],
          [ "Application should be able to move between sinks/sources", "page_audio.html#autotoc_md121", null ],
          [ "Exclusive access", "page_audio.html#autotoc_md122", null ]
        ] ]
      ] ],
      [ "Design", "page_audio.html#autotoc_md123", [
        [ "SPA", "page_audio.html#autotoc_md124", null ],
        [ "Audio Adapter", "page_audio.html#autotoc_md125", null ],
        [ "The session manager", "page_audio.html#autotoc_md126", null ]
      ] ],
      [ "Implementation", "page_audio.html#autotoc_md127", [
        [ "pipewire-media-session (alsa-monitor)", "page_audio.html#autotoc_md128", null ]
      ] ]
    ] ],
    [ "Access Control", "page_access.html", [
      [ "Use cases", "page_access.html#autotoc_md34", null ],
      [ "Design", "page_access.html#autotoc_md40", [
        [ "The PipeWire daemon", "page_access.html#autotoc_md41", null ],
        [ "The PipeWire access module", "page_access.html#autotoc_md42", null ],
        [ "The session manager", "page_access.html#autotoc_md43", null ]
      ] ]
    ] ],
    [ "Portal Access Control", "page_portal.html", [
      [ "Use cases", "page_portal.html#autotoc_md57", null ],
      [ "Design", "page_portal.html#autotoc_md61", [
        [ "The portal", "page_portal.html#autotoc_md62", null ],
        [ "The PipeWire portal module", "page_portal.html#autotoc_md63", null ],
        [ "The client", "page_portal.html#autotoc_md64", null ],
        [ "The session manager", "page_portal.html#autotoc_md65", null ]
      ] ]
    ] ],
    [ "MIDI Support", "page_midi.html", [
      [ "Use cases", "page_midi.html#autotoc_md44", null ],
      [ "Design", "page_midi.html#autotoc_md50", [
        [ "SPA", "page_midi.html#autotoc_md51", null ],
        [ "The PipeWire daemon", "page_midi.html#autotoc_md52", null ],
        [ "The session manager", "page_midi.html#autotoc_md53", null ]
      ] ],
      [ "Implementation", "page_midi.html#autotoc_md54", [
        [ "pipewire-media-session", "page_midi.html#autotoc_md55", null ],
        [ "JACK", "page_midi.html#autotoc_md56", null ]
      ] ]
    ] ],
    [ "Media Streams", "page_streams.html", [
      [ "Overview", "page_streams.html#sec_overview", null ],
      [ "Create", "page_streams.html#sec_create", null ],
      [ "Connect", "page_streams.html#sec_connect", [
        [ "Stream target", "page_streams.html#ssec_stream_target", null ],
        [ "Stream formats", "page_streams.html#ssec_stream_formats", null ]
      ] ],
      [ "Format negotiation", "page_streams.html#sec_format", null ],
      [ "Buffer negotiation", "page_streams.html#sec_buffers", null ],
      [ "Streaming", "page_streams.html#sec_streaming", [
        [ "Consume data", "page_streams.html#ssec_consume", null ],
        [ "Produce data", "page_streams.html#ssec_produce", null ]
      ] ],
      [ "Disconnect", "page_streams.html#sec_stream_disconnect", null ]
    ] ],
    [ "Client", "page_client.html", [
      [ "Overview", "page_client.html#sec_page_client_overview", null ],
      [ "Credentials", "page_client.html#sec_page_client_credentials", null ],
      [ "Types", "page_client.html#sec_page_client_types", null ],
      [ "Resources", "page_client.html#sec_page_client_resources", null ]
    ] ],
    [ "Proxy", "page_proxy.html", [
      [ "Overview", "page_proxy.html#sec_page_proxy_overview", null ],
      [ "Core proxy", "page_proxy.html#sec_page_proxy_core", null ],
      [ "Create", "page_proxy.html#sec_page_proxy_create", null ],
      [ "Bind", "page_proxy.html#sec_page_proxy_bind", null ],
      [ "Methods", "page_proxy.html#sec_page_proxy_methods", null ],
      [ "Events", "page_proxy.html#sec_page_proxy_events", null ],
      [ "Destroy", "page_proxy.html#sec_page_proxy_destroy", null ]
    ] ],
    [ "Threaded Loop", "page_thread_loop.html", [
      [ "Overview", "page_thread_loop.html#sec_thread_loop_overview", null ],
      [ "Creation", "page_thread_loop.html#sec_thread_loop_create", null ],
      [ "Destruction", "page_thread_loop.html#sec_thread_loop_destruction", null ],
      [ "Locking", "page_thread_loop.html#sec_thread_loop_locking", null ],
      [ "Events and Callbacks", "page_thread_loop.html#sec_thread_loop_events", null ]
    ] ],
    [ "PipeWire Objects Design", "page_objects_design.html", null ],
    [ "DMA-BUF sharing", "page_dma_buf.html", [
      [ "Capability negotiations", "page_dma_buf.html#autotoc_md179", [
        [ "pw_stream_connect", "page_dma_buf.html#autotoc_md180", null ],
        [ "param_changed hook", "page_dma_buf.html#autotoc_md181", [
          [ "For consumers", "page_dma_buf.html#autotoc_md182", null ],
          [ "For producers", "page_dma_buf.html#autotoc_md183", null ]
        ] ],
        [ "add_buffer hook", "page_dma_buf.html#autotoc_md184", null ],
        [ "on_event hook", "page_dma_buf.html#autotoc_md185", null ]
      ] ],
      [ "DMA-BUF mapping warning", "page_dma_buf.html#autotoc_md186", null ],
      [ "v4l2", "page_dma_buf.html#autotoc_md187", null ]
    ] ],
    [ "PipeWire Daemon", "page_daemon.html", [
      [ "Configuration Files", "page_daemon.html#sec_config", [
        [ "Configuration File Format", "page_daemon.html#sec_config_format", null ]
      ] ],
      [ "Logging", "page_daemon.html#sec_logging", null ]
    ] ],
    [ "PipeWire Library", "page_library.html", null ],
    [ "PipeWire Tools", "page_tools.html", null ],
    [ "PipeWire Session Manager", "page_session_manager.html", null ],
    [ "PulseAudio compatibility", "page_pulseaudio.html", [
      [ "Internals - Mapping between ALSA and streams", "page_pulseaudio.html#autotoc_md170", [
        [ "ALSA Cards", "page_pulseaudio.html#autotoc_md171", null ],
        [ "Streams", "page_pulseaudio.html#autotoc_md172", null ]
      ] ],
      [ "Session Manager", "page_pulseaudio.html#autotoc_md173", [
        [ "ALSA UCM", "page_pulseaudio.html#autotoc_md174", null ],
        [ "ALSA fallback", "page_pulseaudio.html#autotoc_md175", null ],
        [ "ALSA pulse UCM", "page_pulseaudio.html#autotoc_md176", null ],
        [ "ALSA pulse fallback", "page_pulseaudio.html#autotoc_md177", null ]
      ] ],
      [ "PulseAudio", "page_pulseaudio.html#autotoc_md178", null ]
    ] ]
];